package com.geeks.constructor;

public class House {

	private int yards;
	private int roomsCount;
	private boolean hasGarden;
	
	/**
	 * This constructor takes yards, roomsCount and hasGarden values and
	 * assign then to create a new object
	 * 
	 * @param yards
	 * @param roomsCount
	 * @param hasGarden
	 */
	public House(int yards, int roomsCount, boolean hasGarden) {
		this.yards = yards;
		this.roomsCount = roomsCount;
		this.hasGarden = hasGarden;
	}
	
	/**
	 * Copy constructor: taking the object of the same class as a parameter and assign its 
	 * instant variable values to create a new object
	 * @param house
	 */
	public House(House house) {
		this.yards = house.getYards();
		this.roomsCount = house.getRoomsCount();
		this.hasGarden = house.isHasGarden();
	}

	public static void main(String[] args) {
		House house1 = new House(240, 3, true);
		System.out.println(house1);
		House house2 = new House(house1);
		System.out.println(house2);
	}
	
	@Override
	public String toString() {
		return "Yards:"+getYards()+", total rooms:"+getRoomsCount()+", has garden:"+isHasGarden();
	}
	
	public int getYards() {
		return yards;
	}

	public void setYards(int yards) {
		this.yards = yards;
	}

	public int getRoomsCount() {
		return roomsCount;
	}

	public void setRoomsCount(int roomsCount) {
		this.roomsCount = roomsCount;
	}

	public boolean isHasGarden() {
		return hasGarden;
	}

	public void setHasGarden(boolean hasGarden) {
		this.hasGarden = hasGarden;
	}	
}
